import request from '../utils/request.js'

class SignIn extends request {

  static getActivityData(params) {
    return this.postRequest(`${this.BASE_URL}open/sign-in/activity/detail`, params, true)
  }

  static triggerSignIn(activityId, mobile, appletCode) {
    const params = {
      activityId,
      mobile,
      appletCode,
    }
    return this.postRequest(`${this.BASE_URL}open/sign-in/click`, params, true)
  }
  /**
   * 券列表
   */
  static getUserAwardCouponList(params) {
    return this.postRequest(`${this.BASE_URL}open/sign-in/user-award-coupon-list`, params);
  }

  /**
   * 券签名列表
   */
  static getUserSignInList(params) {
    return this.postRequest(`${this.BASE_URL}open/sign-in/user-sign-in-list`, params);
  }

  /**
   * 券使用状态列表
   */
  static getUserAwardCouponUseStateList(params) {
    return this.postRequest(`${this.BASE_URL}open/sign-in/user-award-coupon-use-state-list`, params);
  }

    /**
   * 未使用的券数量
   */
  static getUserAwardCouponNum(params) {
    return this.postRequest(`${this.BASE_URL}open/sign-in/user-award-coupon-num`, params, true)
  }

}

export default SignIn